Skip to content
Last updated

title: Initiate Oauth keywords:

  • initiate oauth
  • post
  • initiate
  • oauth

Initiate OAuth flow for a connector (routes to the appropriate auth provider).

POSThttps://api.aitronos.com/v1/personal-connectors/authorize

Query Parameters

organization_id string required

Organization ID

Request Body

connector_type string required

Connector type to authorize

integration_params object optional

Optional integration-specific parameters (e.g., SharePoint site name)


Returns

authorization_url string

URL to redirect user to

state string

OAuth state token

cURL
curl -X POST "https://api.aitronos.com/v1/personal-connectors/authorize" \
  -H "X-API-Key: $FREDDY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "connector_type": "your_connector_type"
}'

Response:

200 OK
{
  "authorization_url": "https://example.com/resource",
  "state": "example_state"
}